<!doctype html>
<html lang="en-GB">
<head>
  <meta charset="utf-8">
  <style>
    body {
      background: #fafafa;
    }

    host-element {
      display: inline-block;
      background-color: coral;
    }
    slot-element div{
      border-style: dotted;
    }
    html {
      --themeColor: #123456;
    }
  </style>
</head>
<body>
  <div id="demo"></div>

  <script type="module">
    import { html, render } from 'lit-html';
    import '../shadow-tree.js';
    import '../src/host-element.js'
    import '../src/slot-element.js'
    import '../src/config-style.js'
    const title = 'Hello owc World!';
    render(
      html`
        <shadow-tree .title=${title}>
          some more light-dom
        </shadow-tree>
        <p>----</p>
        <h2>Estilos elemento host</h2>
        <host-element></host-element>
        <host-element hidden></host-element>
        <host-element class="blue"></host-element>
        <p>parrafo</p>
        <p>----</p>
        <h2>Estilos en slots </h2>
        <slot-element>
          <p>Slotted content</p>
          <span slot="hi">Slotted span inside a div</span>
        </slot-element>
        <p>------</p>
        <p>----</p>
        <h2>Cambiando fuera del shadow tree</h2>
        <slot-element>
          <div>Stylable with ::slotted()</div>
        </slot-element>
        <slot-element>
          
            <p>Not Stylable with ::slotted()</p>
          
        </slot-element>
        <p>------</p>
        <h2>Estilos configurables</h2>
        <config-style></config-style>
        <p>------</p>
      `,
      document.querySelector('#demo')
    );
  </script>
</body>
</html>
